/* 1. Full-screen layout without margins */
html,
body,
#app {
    margin: 0;
    padding: 0;
    width: 100%;
    height: 100%;
}

/* 2. Remove AppBar row (height = 0) */
.mud-layout-root {
    grid-template-rows: 0px 1fr !important;
}

.validation-message {
    color: rgb(243 66 53) !important;
}

.loading-logo {
    width: 174px;
    height: 185px;
    display: block;
    margin: 20vh auto 2rem auto;
    animation: pulse 2s infinite ease-in-out;
}

@keyframes pulse {
    0% {
        transform: scale(1);
        opacity: 1;
    }

    50% {
        transform: scale(0.95);
        opacity: 0.8;
    }

    100% {
        transform: scale(1);
        opacity: 1;
    }
}

.loading-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    font-family: sans-serif;
}

.spinner {
    width: 48px;
    height: 48px;
    border: 5px solid #ccc;
    border-top-color: #1b6ec2;
    border-radius: 50%;
    animation: spin 1s linear infinite;
    margin-bottom: 1rem;
}

@keyframes spin {
    to {
        transform: rotate(360deg);
    }
}